Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sqs.model
Class GetQueueAttributesResult

    java.lang.Object
      com.amazonaws.services.sqs.model.GetQueueAttributesResult

    public class GetQueueAttributesResult

extends Object

Constructor Summary
`GetQueueAttributesResult()`

Method Summary
`Map<String,String>` | `getAttributes()` A list of attributes.
`void` | `setAttributes(Map<String,String> attributes)` A list of attributes.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetQueueAttributesResult` | `withAttributes(Map<String,String> attributes)` A list of attributes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetQueueAttributesResult

    public GetQueueAttributesResult()

Method Detail

### getAttributes

    public Map<String,String> getAttributes()

  A list of attributes.

  Returns:
    A list of attributes.

### setAttributes

    public void setAttributes(Map<String,String> attributes)

  A list of attributes.

  Parameters:
    `attributes` - A list of attributes.

### withAttributes

    public GetQueueAttributesResult withAttributes(Map<String,String> attributes)

  A list of attributes.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - A list of attributes.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.